Package: org.codehaus.groovy.runtime

## [Java] Class DefaultCachedMethodKey

- org.codehaus.groovy.runtime.DefaultCachedMethodKey

-     public class DefaultCachedMethodKey
      extends MethodKey

  A default implementation of MethodKey

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultCachedMethodKey(Class sender, String name, CachedClass[] parameterTypes, boolean isCallToSuper)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `getParameterCount()`
    `` | `public Class` | `getParameterType(int index)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MethodKey` | `createCopy, createHashCode, equals, equals, getName, getParameterCount, getParameterType, getParamterTypes, hashCode, toString`

- - ### Constructor Detail

    - #### public DefaultCachedMethodKey(Class sender, String name, CachedClass[] parameterTypes, boolean isCallToSuper)

  - ### Method Detail

    - #### @Override
      public int getParameterCount()

    - #### @Override
      public Class getParameterType(int index)